## poppler poppler |

## Types and Values

#define | POPPLER_ERROR
enum | PopplerError
enum | PopplerOrientation

## Includes

    #include <poppler.h>

## Description

## Functions

## Types and Values

### POPPLER_ERROR

    #define POPPLER_ERROR poppler_error_quark ()

### enum PopplerError

Error codes returned by PopplerDocument

#### Members

POPPLER_ERROR_INVALID | Generic error when a document operation fails |
POPPLER_ERROR_ENCRYPTED | Document is encrypted |
POPPLER_ERROR_OPEN_FILE | File could not be opened for writing when saving document |
POPPLER_ERROR_BAD_CATALOG | Failed to read the document catalog |
POPPLER_ERROR_DAMAGED | Document is damaged |

### enum PopplerOrientation

#### Members

POPPLER_ORIENTATION_PORTRAIT |  |
POPPLER_ORIENTATION_LANDSCAPE |  |
POPPLER_ORIENTATION_UPSIDEDOWN |  |
POPPLER_ORIENTATION_SEASCAPE |  |